﻿@model HOD.Models.AgentSetupModel
@using Microsoft.Ajax.Utilities
@{
    ViewBag.Title = "Pages";
    Layout = "~/Views/Shared/_SecuredPagesLayout.cshtml";
    
    bool isFreeTier = false;
    
    if (Session["TIER"].ToString().ToUpper() == "FREE"){
        isFreeTier = true;   
    }
}
<style>
    table td, table td * {
        vertical-align: top;
    }

    .croppedImg {
    width: 90%;
    height: 90%;
    }
    .croppedImg img {
        width: 90%;
        height: 90%;
    }

</style>
    
<script>

    tinymce.init({
        selector: 'textarea',
        menubar: 'true',
        height: 300
        //statusbar: 'false',
        //toolbar: 'true'
    });

    var $body2 = $('body');
    $body2.css('background-image', 'none');

    $(document).ready(function () {

        var $body = $('body');
        $body.css('background-image', 'url("@Model.AgentTopBackground")');//.height(525).width(1660);
        $('#agentLogo').attr('src', '@Model.MainWebsitePhoto');

        var isFreeTier = $('#isFreeTierAgent').val();
        if (isFreeTier.toUpperCase() == 'TRUE') {
            $('.paidTier').hide();
        }

        $(".uploadPic").attr("width", "300");
        $(".uploadPic").attr("height", "200");
    });

    function readURL(input,control) {

        if (input.files && input.files[0]) {
            var reader = new FileReader();

            reader.onload = function (e) {
                $('#'+ control).attr('src', e.target.result);
            }

            reader.readAsDataURL(input.files[0]);
        }
    }

</script>

<style>
    a.newListing { color: #333333 }
    a.newListing:active { color: #666666 }
    a.newListing:link { color: #999999 }
    a.newListing:visited { color: #ffffff }

    textarea {
        background-color: lightyellow;
        width:100%
    }

    input[type="text"] {
       background-color: lightyellow;
    }
</style>

<div class="details_holder">
    <!--div class="panel panel-default" style="border:none">
        <div class="panel-heading" align="left">Agent Page Setup</div>
        <div class="panel-body" style="background-color: #ffffff;"-->
               <div class="alert alert-success">
               <p style="font-size:medium;">
               Welcome <b>@Model.AgentFullName</b>, 
                    please keep the following content sections updated for your Agent Property Listing Portal Website. Don’t forget to upload 
                   your latest logo and the last two section title and content pages can be changed to anything you want.                                     
                </p>
               </div>
             @*Html.ActionLink("Add New Listing", "RegCustomer", "Agent", null, new { @class = "btn btn-primary newListing", @color= "#00000", @visited="#00000",  })*@
        <!--/div>
     </div-->
    <!-- Nav tabs -->
    <!--ul class="nav nav-tabs" role="tablist">
      <li class="active"><a href="#home" role="tab" data-toggle="tab">MY PAGES</a></li>
      <li><a href="#profile" role="tab" data-toggle="tab">LIST NOW</a></li>
      <li><a href="#myListings" role="tab" data-toggle="tab"><b>My Listings</b></a></li>
      <!--li><a href="#settings" role="tab" data-toggle="tab">Settings</a></li>
    </ul-->
    <!--div class="tab-content">
      <div class="tab-pane active" id="home">
          <p>
          &nbsp;
          </p-->

    @{
        string formRedirectAction = "AgentSetup";       
    }

            @using (Html.BeginForm(formRedirectAction, "Agent", FormMethod.Post, new { @class = "form-horizontal", @role = "form", enctype = "multipart/form-data"}))
            {    
                @Html.Hidden("isFreeTierAgent", isFreeTier)

                <div class="panel panel-primary" style="border:none">
                    @if (ViewBag.ErrorDisplay != null)
                    {
                        @Html.Raw(ViewBag.ErrorDisplay)
                    }
                    <div class="panel-heading">Agent Information</div>
                    <div class="panel-body" style="background-color: #ffffff;">

                        <div class="form-group">
                           
                                <div class="col-sm-3">
                                        Business Name:
                                </div>
                                <div class="col-sm-3">
                                        @Html.TextBoxFor(x => x.BusinessName, new {@maxlength ="50", @size="50", @placeholder ="Business Name", @class="form-control"})
                                 </div>
                        </div>

                        <div class="form-group">
                            <div class="col-sm-3">
                                    Address:
                            </div>
                            <div class="col-sm-3">
                                    @Html.TextBoxFor(x => x.Address, new {@maxlength ="50", @size="50", @placeholder ="Address", @class="form-control"})
                            </div>
                            <div class="col-sm-2">
                                    City:
                            </div>
                            <div class="col-sm-3">
                                    @Html.TextBoxFor(x => x.City, new {@maxlength ="50", @size="50", @placeholder ="City", @class="form-control"})
                            </div>

                        </div>

                        <div class="form-group">
                            <div class="col-sm-3">
                            Province:
                            </div>
                            <div class="col-sm-3">
                                @Html.DropDownListFor(m => m.Province, new SelectList(
                                            new List<Object>{ 
                                                    new { value="", text = "PROVINCE/STATE" },
                                                    new { value="", text = "-----------------" },    
                                                    new { value="", text = "CANADIAN PROVINCES" },                                                         
                                                    new { value="", text = "-----------------" },                                                                                                         
                                                    new { value="Alberta", text = "Alberta" },
                                                    new { value="British Columbia", text = "British Columbia" },
                                                    new { value="Manitoba", text = "Manitoba" },
                                                    new { value="New Brunswick", text = "New Brunswick" },
                                                    new { value="NewFoundland and Labrador", text = "NewFoundland and Labrador" },
                                                    new { value="Northwest Terriories", text = "Northwest Terriories" },
                                                    new { value="Nova Scotia", text = "Nova Scotia" },
                                                    new { value="Nunavut", text = "Nunavut" },
                                                    new { value="Ontario", text = "Ontario" },
                                                    new { value="Prince Edwards Island", text = "Prince Edwards Island" },
                                                    new { value="Quebec", text = "Quebec" },
                                                    new { value="Saskatchewan", text = "Saskatchewan" },
                                                    new { value="Yukon", text = "Yukon" },
                                                    new { value="", text = "-----------------" },     
                                                    new { value="", text = "US STATES" },      
                                                    new { value="", text = "-----------------" },                                                                                                                                                    
                                                    new  { Text="Alabama", Value="AL"},
                                                    new  { Text="Alaska", Value="AK"},
                                                    new  { Text="Arizona", Value="AZ"},
                                                    new  { Text="Arkansas", Value="AR"},
                                                    new  { Text="California", Value="CA"},
                                                    new  { Text="Colorado", Value="CO"},
                                                    new  { Text="Connecticut", Value="CT"},
                                                    new  { Text="District of Columbia", Value="DC"},
                                                    new  { Text="Delaware", Value="DE"},
                                                    new  { Text="Florida", Value="FL"},
                                                    new  { Text="Georgia", Value="GA"},
                                                    new  { Text="Hawaii", Value="HI"},
                                                    new  { Text="Idaho", Value="ID"},
                                                    new  { Text="Illinois", Value="IL"},
                                                    new  { Text="Indiana", Value="IN"},
                                                    new  { Text="Iowa", Value="IA"},
                                                    new  { Text="Kansas", Value="KS"},
                                                    new  { Text="Kentucky", Value="KY"},
                                                    new  { Text="Louisiana", Value="LA"},
                                                    new  { Text="Maine", Value="ME"},
                                                    new  { Text="Maryland", Value="MD"},
                                                    new  { Text="Massachusetts", Value="MA"},
                                                    new  { Text="Michigan", Value="MI"},
                                                    new  { Text="Minnesota", Value="MN"},
                                                    new  { Text="Mississippi", Value="MS"},
                                                    new  { Text="Missouri", Value="MO"},
                                                    new  { Text="Montana", Value="MT"},
                                                    new  { Text="Nebraska", Value="NE"},
                                                    new  { Text="Nevada", Value="NV"},
                                                    new  { Text="New Hampshire", Value="NH"},
                                                    new  { Text="New Jersey", Value="NJ"},
                                                    new  { Text="New Mexico", Value="NM"},
                                                    new  { Text="New York", Value="NY"},
                                                    new  { Text="North Carolina", Value="NC"},
                                                    new  { Text="North Dakota", Value="ND"},
                                                    new  { Text="Ohio", Value="OH"},
                                                    new  { Text="Oklahoma", Value="OK"},
                                                    new  { Text="Oregon", Value="OR"},
                                                    new  { Text="Pennsylvania", Value="PA"},
                                                    new  { Text="Rhode Island", Value="RI"},
                                                    new  { Text="South Carolina", Value="SC"},
                                                    new  { Text="South Dakota", Value="SD"},
                                                    new  { Text="Tennessee", Value="TN"},
                                                    new  { Text="Texas", Value="TX"},
                                                    new  { Text="Utah", Value="UT"},
                                                    new  { Text="Vermont", Value="VT"},
                                                    new  { Text="Virginia", Value="VA"},
                                                    new  { Text="Washington", Value="WA"},
                                                    new  { Text="West Virginia", Value="WV"},
                                                    new  { Text="Wisconsin", Value="WI"},
                                                    new  { Text="Wyoming", Value="WY"}                                                    
                                                    
                                                    },
                                                  "value",
                                                  "text",
                                            2), new { @class = "form-control", @placeholder = "Province", id = "province" })

                                &nbsp;
                                @Html.ValidationMessageFor(m => m.Province)
                            </div>
                            <div class="col-sm-2">
                                    Postal Code:
                            </div>
                            <div class="col-sm-3">
                                    @Html.TextBoxFor(x => x.PostalCode, new {@maxlength ="50", @size="20", @placeholder ="Postal Code", @class="form-control"})
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-sm-3">
                                    Mobile Number:
                            </div>
                            <div class="col-sm-3">
                                    @Html.TextBoxFor(x => x.PhoneNumberCell, new {@maxlength ="50", @size="20", @placeholder ="Mobile number", @class="form-control"})
                            </div>
                            <div class="col-sm-2">
                                    Landline Number:
                            </div>
                            <div class="col-sm-3">
                                    @Html.TextBoxFor(x => x.PhoneNumberLandLine, new {@maxlength ="50", @size="20", @placeholder ="Landline number", @class="form-control"})
                            </div>
                        </div>

                        <p><b>Home page content</b></p>
                                <div id="aboutSelfContainer">
                                    @Html.TextAreaFor(x => x.YourHomeContent, new { @id = "yourHomeContent", @rows = "5", @placeholder ="Home page content", @class="form-control"})
                                    <!--textarea style="background-color: lightyellow; width:100%" id="aboutSelf" rows="5" placeholder="Tell us more about yourself" data-toggle="tooltip" data-placement="left" title="Let the juices flow, we know you're a pro :)."> </!--textarea-->
                                 </div>
                        <br /><br />

                        <p><b>About Us content</b></p>
                                <div id="businessNameContainer">
                                    <!--textarea  style="background-color: lightyellow; width:100%" id="Interests" rows="5" placeholder="Home page content"> </!--textarea-->
                                    @Html.TextAreaFor(x => x.YourAboutUsContent, new { @id = "yourAboutUsContent", @rows = "5", @placeholder ="About Us Content", @class="form-control"})
                                 </div>
                        <br />

                        @{
                             if (string.IsNullOrEmpty(Model.OtherPage1Label)){
                                 Model.OtherPage1Label = "Buyer/Seller Information";
                             }

                             if (string.IsNullOrEmpty(Model.OtherPage2Label)){
                                 Model.OtherPage2Label = "Community/Local Information";
                             }
                         }
                        <p><b>Your @Html.TextBoxFor(x => x.OtherPage1Label, new {@id = "OtherPage1Label", @placeholder ="Your Title here", @class="form-control", @size="30", @cols="10"}) Content Page </b></p>
                                <div id="otherPage1Container">
                                    <!--textarea  style="background-color: lightyellow; width:100%" id="Interests" rows="5" placeholder="Home page content"> </!--textarea-->
                                    @Html.TextAreaFor(x => x.OtherPage1Text, new { @id = "otherPage1Text", @rows = "5", @placeholder ="Enter text here",@class="form-control"})
                                 </div>
                        <br />

                        <p><b>Your @Html.TextBoxFor(x => x.OtherPage2Label, new {@id = "OtherPage2Label",  @placeholder ="Your Title here", @class="form-control"}) Content Page </b></p>
                                <div id="otherPage2Container">
                                    <!--textarea  style="background-color: lightyellow; width:100%" id="Interests" rows="5" placeholder="Home page content"> </!--textarea-->                                        
                                    @Html.TextAreaFor(x => x.OtherPage2Text, new { @id = "otherPage2Text", @rows = "5", @placeholder ="Enter text here"})
                                 </div>
                        <br />

                              @Html.HiddenFor(m => m.OtherAgentPhoto1)
                              @Html.HiddenFor(m => m.OtherAgentPhoto2)
                              @Html.HiddenFor(m => m.OtherAgentPhoto3)
                              @Html.HiddenFor(m => m.OtherAgentPhoto4)
                              @Html.HiddenFor(m => m.OtherAgentPhoto5)
                              @Html.HiddenFor(m => m.OtherAgentPhoto6)
                              @Html.HiddenFor(m => m.OtherAgentPhoto7)
                              @Html.HiddenFor(m => m.OtherAgentPhoto8)
                              @Html.HiddenFor(m => m.OtherAgentPhoto9)
                              @Html.HiddenFor(m => m.OtherAgentPhoto10)
                              @Html.HiddenFor(m => m.ProfilePic1)
                              @Html.HiddenFor(m => m.AgentTopBackground)
                              @Html.HiddenFor(m => m.ProfileAgentLogoDisplay)
                              @Html.HiddenFor(m => m.MainWebsitePhoto)
                              @Html.HiddenFor(m => m.AgentFullName)        

                        <table border="0" style="padding:2px 2px  2px 2px">
                            <tr class="paidTier">
                                <td colspan="2"><b>Your main website (top of website)</b></td>
                            </tr>
                            <tr class="paidTier">
                                <td>
                                    Select an image from your computer: <input type="file" id="uplMainWebsitePic"  name="uplMainWebsitePic" class="btn btn-default" data-image-control="profileWebsiteTopImage"  onchange="readURL(this, 'profileWebsiteTopImage');"/>
                                </td>
                                <td>
                                    <img src="@Model.MainWebsitePhoto" class="img-rounded img-responsive uploadPic" alt="..." id="profileWebsiteTopImage"  />
                                </td>
                            </tr>
                            <tr class="paidTier">
                                <td colspan="2"><b>Passport head shot for the photo</b></td>
                            </tr>
                            <tr class="paidTier">
                                <td>                        
                                      Select an image from your computer: <input type="file" id="uplProfilePic1"  name="uplProfilePic1" class="btn btn-default"   onchange="readURL(this, 'profilePic1');"/>
                                </td>
                                <td>
                                      <img src="@Model.ProfilePic1" class="img-rounded img-responsive uploadPic" alt="..." id="profilePic1" />

                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <b>Upload your company logo</b>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    Select an image from your computer: <input type="file" id="uplCompanyLogo"  name="uplCompanyLogo" class="btn btn-default"   onchange="readURL(this, 'profileAgentLogoDisplay');"/>
                                 </td>
                                <td>
                                  <img src="@Model.ProfileAgentLogoDisplay" class="img-rounded img-responsive uploadPic" alt="..." id="profileAgentLogoDisplay"  />

                                </td>
                            </tr>      
                            <tr class="paidTier">
                                <td>
                                    <b>Big background photo</b>
                                </td>
                            </tr>
                            <tr class="paidTier">
                                <td>
                                    Select an image from your computer: <input type="file" id="uplAgentTopBackground"  name="uplAgentTopBackground" class="btn btn-default"    onchange="readURL(this, 'profileBackgroundImage');"/>
                                 </td>
                                <td>
                              <img src="@Model.AgentTopBackground" class="img-rounded img-responsive uploadPic" alt="..." id="profileBackgroundImage"  />

                                </td>
                            </tr>     
                                                              
                             <tr class="paidTier">
                                <td>
                                    <b>Other Photos</b>
                                </td>
                            </tr>
                            <tr class="paidTier">
                                <td>
                                    Select an image from your computer: <input type="file" id="uplAgentOtherPhoto1"  name="uplAgentOtherPhoto1" class="btn btn-default"   onchange="readURL(this, 'otherAgentPhoto1');"/>                                 </td>
                                <td>
                                  <img src="@Model.OtherAgentPhoto1" class="img-rounded img-responsive uploadPic" alt="..." id="otherAgentPhoto1"  />
                                </td>
                            </tr>                             
                                                                                                                                   
                            <tr class="paidTier">
                                <td>
                                    Select an image from your computer: <input type="file" id="uplAgentOtherPhoto2"  name="uplAgentOtherPhoto2" class="btn btn-default"   onchange="readURL(this, 'otherAgentPhoto2');"/>
                                </td>
                                <td>
                                     <img src="@Model.OtherAgentPhoto2" class="img-rounded img-responsive uploadPic" alt="..." id="otherAgentPhoto2"  />
                                </td>
                            </tr>
                            <tr class="paidTier">
                                <td>
                                    Select an image from your computer: <input type="file" id="uplAgentOtherPhoto3"  name="uplAgentOtherPhoto3" class="btn btn-default"   onchange="readURL(this, 'otherAgentPhoto3');"/>
                                </td>
                                <td>
                                    <img src="@Model.OtherAgentPhoto3" class="img-rounded img-responsive uploadPic" alt="..." id="otherAgentPhoto3"  />
                                </td>
                            </tr>             
                            <tr class="paidTier">
                                <td>
                                    Select an image from your computer: <input type="file" id="uplAgentOtherPhoto4"  name="uplAgentOtherPhoto4" class="btn btn-default"   onchange="readURL(this, 'otherAgentPhoto4');"/>
                                </td>
                                <td>
                                    <img src="@Model.OtherAgentPhoto4" class="img-rounded img-responsive uploadPic" alt="..." id="otherAgentPhoto4"  />
                                </td>
                            </tr>                                                                                                                                                

                            <tr class="paidTier">
                                <td>
                                   Select an image from your computer: <input type="file" id="uplAgentOtherPhoto5"  name="uplAgentOtherPhoto5" class="btn btn-default"   onchange="readURL(this, 'otherAgentPhoto5');"/>
                                </td>
                                <td>
                                    <img src="@Model.OtherAgentPhoto5" class="img-rounded img-responsive uploadPic" alt="..." id="otherAgentPhoto5"  />
                                 </td>
                                </tr>
                            <tr class="paidTier">
                                <td>
                                    Select an image from your computer: <input type="file" id="uplAgentOtherPhoto6"  name="uplAgentOtherPhoto6" class="btn btn-default"   onchange="readURL(this, 'otherAgentPhoto6');"/>
                               </td>
                               <td>
                                     <img src="@Model.OtherAgentPhoto6" class="img-rounded img-responsive uploadPic" alt="..." id="otherAgentPhoto6"  />
                               </td>
                           </tr>

                            <tr class="paidTier">
                                <td>
                                    Select an image from your computer: <input type="file" id="uplAgentOtherPhoto7"  name="uplAgentOtherPhoto7" class="btn btn-default"   onchange="readURL(this, 'otherAgentPhoto7');"/>
                                </td>
                                <td>
                                    <img src="@Model.OtherAgentPhoto7" class="img-rounded img-responsive uploadPic" alt="..." id="otherAgentPhoto7"  />
                                </td>
                            </tr>
                            <tr class="paidTier">
                                <td>
                                    Select an image from your computer: <input type="file" id="uplAgentOtherPhoto8"  name="uplAgentOtherPhoto8" class="btn btn-default"   onchange="readURL(this, 'otherAgentPhoto8');"/>
                                </td>
                                <td>
                                    <img src="@Model.OtherAgentPhoto8" class="img-rounded img-responsive uploadPic" alt="..." id="otherAgentPhoto8"  />
                                </td>
                            </tr>
                            <tr class="paidTier">
                                <td>
                                    Select an image from your computer: <input type="file" id="uplAgentOtherPhoto9"  name="uplAgentOtherPhoto9" class="btn btn-default"   onchange="readURL(this, 'otherAgentPhoto9');"/>
                                </td>
                                <td>
                                    <img src="@Model.OtherAgentPhoto9" class="img-rounded img-responsive uploadPic" alt="..." id="otherAgentPhoto9"  />
                                </td>
                            </tr>

                            <tr class="paidTier">
                                <td>
                                  Select an image from your computer: <input type="file" id="uplAgentOtherPhoto10"  name="uplAgentOtherPhoto10" class="btn btn-default"   onchange="readURL(this, 'otherAgentPhoto10');"/>
                                </td>
                                <td>
                                    <img src="@Model.OtherAgentPhoto10" class="img-rounded img-responsive uploadPic" alt="..." id="otherAgentPhoto10"  />
                                </td>
                            </tr>
                        </table>   
                        @if (!isFreeTier){
                        <p><b>On your listings page we'll categorize your properties in the following order:</b></p>
                        }

                        <div class="row paidTier">
                          <div class="col-xs-6 col-md-3">
                              Top of the page

                              @{
                                List<SelectListItem> listingOrdCategory = new List<SelectListItem>();                                
                                listingOrdCategory.Add(new SelectListItem { Value = "NoP", Text = "(No Preference)"});
                                listingOrdCategory.Add(new SelectListItem { Value="NEW", Text = "Newly Listed" });
                                listingOrdCategory.Add(new SelectListItem { Value="HOT", Text = "Hot Properties" });
                                listingOrdCategory.Add(new SelectListItem { Value="JUS", Text = "Just Sold"});
                              }

                              @Html.DropDownListFor(m => m.listingOrderCategoryTop, new SelectList(
                                              listingOrdCategory,
                                              "value", "text", "New"), new { @class = "form-control", @placeholder = "Order Category Top", id = "listingOrderCategoryTop" })

                          </div>           
                          <div class="col-xs-6 col-md-3 paidTier">                                     
                              Middle of the page
                              @Html.DropDownListFor(m => m.listingOrderCategoryMiddle, new SelectList(
                                              listingOrdCategory,
                                              "value", "text", "Hot"), new { @class = "form-control", @placeholder = "Order Category Top", id = "listingOrderCategoryMiddle" })
                          </div>
                          <div class="col-xs-6 col-md-3 paidTier">                                     
                              Bottom of the page

                              @Html.DropDownListFor(m => m.listingOrderCategoryBottom, new SelectList(
                                              listingOrdCategory,
                                              "value", "text", "JuS"), new { @class = "form-control", @placeholder = "Order Category Top", id = "listingOrderCategoryBottom" })
                              @Html.HiddenFor(m => m.AgentUrl)
                          </div>
                        </div>
                        <br />
                        <div class="row-center">
                          <div class="col-xs-6 col-md-3">
                              <input type="submit" class="btn-success btn-lg" value="Save & Get Started"/>                              
                          </div>
                        </div>
                </div>
        </div>
            }

    </div>

